# Uses of Interface
org.springframework.util.function.ThrowingSupplier

Packages that use ThrowingSupplier
Package
Description
org.springframework.util.function
Useful generic `java.util.function` helper classes.

## Uses of ThrowingSupplier in org.springframework.util.function

Methods in org.springframework.util.function that return ThrowingSupplier
Modifier and Type
Method
Description
`static <T> ThrowingSupplier<T>`
ThrowingSupplier.`of(ThrowingSupplier<T> supplier)`
Lambda friendly convenience method that can be used to create a `ThrowingSupplier` where the `get()` method wraps any checked exception thrown by the supplied lambda expression or method reference.
`static <T> ThrowingSupplier<T>`
ThrowingSupplier.`of(ThrowingSupplier<T> supplier, BiFunction<String,Exception,RuntimeException> exceptionWrapper)`
Lambda friendly convenience method that can be used to create `ThrowingSupplier` where the `get()` method wraps any thrown checked exceptions using the given `exceptionWrapper`.
`default ThrowingSupplier<T>`
ThrowingSupplier.`throwing(BiFunction<String,Exception,RuntimeException> exceptionWrapper)`
Return a new `ThrowingSupplier` where the `get()` method wraps any thrown checked exceptions using the given `exceptionWrapper`.
Methods in org.springframework.util.function with parameters of type ThrowingSupplier
Modifier and Type
Method
Description
`static <T> ThrowingSupplier<T>`
ThrowingSupplier.`of(ThrowingSupplier<T> supplier)`
Lambda friendly convenience method that can be used to create a `ThrowingSupplier` where the `get()` method wraps any checked exception thrown by the supplied lambda expression or method reference.
`static <T> ThrowingSupplier<T>`
ThrowingSupplier.`of(ThrowingSupplier<T> supplier, BiFunction<String,Exception,RuntimeException> exceptionWrapper)`
Lambda friendly convenience method that can be used to create `ThrowingSupplier` where the `get()` method wraps any thrown checked exceptions using the given `exceptionWrapper`.